# ApiCertificateRequest Data Model

This API class represents a request to retrieve Auto-TLS certificates for a given host. The request contains the host requesting the certificate, a valid token generated by the certmanager utility, and optionally a certificate signing request. Currently, the certificate signing request argument is not supported.

Properties
name | data type | description
--- | --- | ---
hostname | string | Get the hostname of the host requesting certificates
csr | string | Get the certificate signing request in PEM format
token | string | Get the certificate request token
subjectAltNames | array of string |

Example

    {
      "hostname" : "...",
      "csr" : "...",
      "token" : "...",
      "subjectAltNames" : [ "...", "..." ]
    }